<?php

namespace MintyPHP\Repository\User;

interface UserExternalIdentityRepositoryInterface
{
    public function findByProviderTidOid(string $provider, string $tid, string $oid): ?array;

    public function findByProviderIssuerSubject(string $provider, string $issuer, string $subject): ?array;

    public function createLink(array $data): mixed;
}
